# class Syck::Object

Unresolved objects

### Public Class Methods

tag_subclasses?() click to toggle source

    # File lib/syck/types.rb, line 45
    def self.tag_subclasses?; false; end

### Public Instance Methods

to_yaml( opts = {} ) click to toggle source

    # File lib/syck/types.rb, line 46
    def to_yaml( opts = {} )
        ::Syck.quick_emit( self, opts ) do |out|
            out.map( "tag:ruby.yaml.org,2002:object:#{ @class }", to_yaml_style ) do |map|
                @ivars.each do |k,v|
                    map.add( k, v )
                end
            end
        end
    end